TagLib::ASF::Properties Class Reference

An implementation of ASF audio properties. More...

`#include <asfproperties.h>`

Inheritance diagram for TagLib::ASF::Properties:
[legend]
Collaboration diagram for TagLib::ASF::Properties:
[legend]

## Public Types

enum | Codec { Unknown = 0 , WMA1 , WMA2 , WMA9Pro , WMA9Lossless }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions

| Properties ()
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | bitsPerSample () const
Codec | codec () const
String | codecName () const
String | codecDescription () const
bool | isEncrypted () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of ASF audio properties.

## Member Enumeration Documentation

## Codec

enum TagLib::ASF::Properties::Codec

Audio codec types which can be used in ASF files.

Enumerator
Unknown | Couldn't detect the codec.
WMA1 | Windows Media Audio 1
WMA2 | Windows Media Audio 2 or above
WMA9Pro | Windows Media Audio 9 Professional
WMA9Lossless | Windows Media Audio 9 Lossless

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::ASF::Properties::Properties | ( |  | ) |

Creates an instance of ASF::Properties.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::ASF::Properties::~Properties | ( |  | ) |

override

Destroys this ASF::Properties instance.

## Properties() [2/2]

TagLib::ASF::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::ASF::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::ASF::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample.

## channels()

int TagLib::ASF::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## codec()

Codec TagLib::ASF::Properties::codec | ( |  | ) | const

Returns the codec used in the file.

See also
  codecName()
  codecDescription()

## codecDescription()

String TagLib::ASF::Properties::codecDescription | ( |  | ) | const

Returns the codec description, typically contains the encoder settings, for example "VBR Quality 50, 44kHz, stereo 1-pass VBR" if available, otherwise an empty string.

See also
  codec()
  codecName()

## codecName()

String TagLib::ASF::Properties::codecName | ( |  | ) | const

Returns the concrete codec name, for example "Windows Media Audio 9.1" used in the file if available, otherwise an empty string.

See also
  codec()
  codecDescription()

## isEncrypted()

bool TagLib::ASF::Properties::isEncrypted | ( |  | ) | const

Returns whether or not the file is encrypted.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## lengthInMilliseconds()

int TagLib::ASF::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::ASF::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleRate()

int TagLib::ASF::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- asfproperties.h